For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETGets all absence regions.
      • POSTCreates a new absence region.
      • GETList of supported countries for absence regions.
      • GETList of locations for a country.
      • POSTAssign/remove current user to/from an absence region.
      • PUTAssign/remove current user to/from an absence region.
      • POSTAssigns or unassigns users to/from an absence region.
      • PUTAssigns or unassigns users to/from an absence region.
      • GETGet an absence region by id.
      • PUTUpdates an absence region.
      • DELDeletes an absence region.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceAbsence Regions

Gets all absence regions.

GET
https://api.awork.com/api/v1/absenceregions
GET
/api/v1/absenceregions
$curl https://api.awork.com/api/v1/absenceregions \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "name": "Hamburg",
9 "countryCode": "DE",
10 "country": "Germany",
11 "locationCode": "DE-HH",
12 "location": "Hamburg",
13 "isDefault": true,
14 "numberOfPublicHolidays": 10,
15 "assignedUsers": [
16 "7b356284-d22b-4f74-980d-0a548d3b6318",
17 "b37f07dd-6644-4271-9c8a-bb700cc21b63"
18 ]
19 }
20]
<Check title="Required Permissions" icon="key">The user must be admin or have `user-planning-data:write` permissions to see the users assigned to the absence regions.</Check>
Was this page helpful?
Previous

Creates a new absence region.

Next
Built with
Required Permissions
The user must be admin or have user-planning-data:write permissions to see the users assigned to the absence regions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the absence region, as specified by the user. It must be unique within the workspace.
countryCodestring or null

The country code of the absence region. It must be a valid ISO 3166-1 alpha-2 country code.

countrystring or null
The english name of the country.
locationCodestring or null

The location code of the absence region. It should be a valid ISO 3166-2 country subdivision code.

locationstring or null
The name of the location. It will always be in the related country's language.
isDefaultboolean
Indicates whether the absence region is the default absence region. Any new user will be assigned to the default absence region.
numberOfPublicHolidaysinteger
The number of public holidays in the absence region.
assignedUserslist of strings or null
The list of user ids assigned to the absence region.